The data includes statistics related to the device and it's connected devices. Send the following request to fetch health statistics:
GET https://<IA_IP_address>/ia-api/status/v1/health -u <username:password> -kRequired header:
-user <username:password>Options
IA_IP_address—The IP address of the NDR appliance running the NDR API.
password—Administrator password.
username— Administrator username.
Example
GET https://<IA_IP_address>/ia-api/status/v1/health -u <username:password> -k
Required header:
-user <username:password>Response
HTTP/1.1 [Response Code] [Response Message] Date: [Date] Content-Type: [Content Type] Category: "Database", "others", "Printer" Count: 1,2
Response fields
Response Code—A standard HTTP response code.
Response Message—A standard HTTP response message.
Server—The server being used.
Date—Standard HTML date format.
Content Type—The response format.
Average—The average value of all the samples collected.
Maximum—The maximum value in the samples collected.
Minimum—The minimum value in the samples collected.
Count—The number of samples collected.
Example
{
"clusterName": "ia-44-146",
"name": "ia-44-146",
"address": "10.128.44.146",
"type": "CLUSTER_MASTER",
"status": "RED",
"alertRetentionTime": "--",
"nspectRetentionTime": "--",
"statusDetails": {
"model": "VM",
"raidStatus": "GREEN",
"diskUsagePercentage": 3,
"processStatus": "GREEN",
"processList": {
"acm": true,
"alertaggregator": true,
"beaconing": true,
"cad": true,
"caseengine": true,
"dga": true,
"elastibatch": true,
"elasticsearch1": true,
"eswatchdog": true,
"exfil": true,
"fileanalysis": true,
"flowsummaryservice": true,
"go-elastibatch": true,
"hx-gw": true,
"ia-api": true,
"ia-eve-route": true,
"iaconfig": true,
"npmom": true,
"nxingress": true,
"pivotengine": true,
"rbac-config": true,
"scheduledsearchservice": true,
"threatintelservice": true,
"userprofile": true
},
"totalBacklogCount": 0,
"totalBacklogSizeInMB": 0,
"metadataStatus": "GREEN",
"rsyncStatus": "RED",
"elasticsearchStatus": "GREEN",
"featureFlags": {
"rbacStatus": false,
"x509State": "disabled"
},
"licenseStatus": "OK",
"licenseInfo": [
{
"active": true,
"end_date": "2025/02/13",
"feature": "NDR",
"start_date": "2024/02/14"
},
{
"active": true,
"end_date": "2025/02/13",
"feature": "FIREEYE_APPLIANCE",
"start_date": "2024/02/14"
},
{
"active": true,
"end_date": "2025/02/13",
"feature": "CONTENT_UPDATES",
"start_date": "2024/02/14"
},
{
"active": true,
"end_date": "2025/02/13",
"feature": "FIREEYE_SUPPORT",
"start_date": "2024/02/14"
},
{
"active": true,
"end_date": "2024/04/18",
"feature": "RESTRICTED_CMDS",
"start_date": "2024/03/20"
}
]
},
"children": [
{
"channelStatus": {
"acmStatus": "GREEN",
"tunnelStatus": "GREEN"
},
"clusterName": "ia-44-146",
"name": "10.128.44.145",
"address": "10.128.44.145",
"type": "PX",
"status": "GREEN",
"alertRetentionTime": "",
"nspectRetentionTime": "",
"statusDetails": {
"raidStatus": "GREEN",
"diskUsagePercentage": 22,
"processStatus": "GREEN",
"processList": {},
"lastUpdate": "Tue Apr 16 11:29:03 UTC 2024"
},
"clusterNodes": []
}
],
"clusterNodes": []
}cURL code sample: System statistics for a host
curl -k -XGET https://<IA_IP_Address>/ia-api/status/v1/health -u <username:password>
This cURL sample includes the following options:
-k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.-u username:password—Specifies the username and password of the NDR appliance.
-X GET—This option specifies using GET method.https://xxx.xxx.xxx.xxx:443/ia-api/status/v1/health—The statistics request URL. Replacexxx.xxx.xxx.xxxwith the IP address of your NDR appliance.
Results
This example returns health statistics of a device in JSON format.